<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.xueyi</groupId>
        <artifactId>xueyi-modules</artifactId>
        <version>2.5.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>xueyi-modules-message</artifactId>

    <description>
        xueyi-modules-message消息管理模块
    </description>

    <dependencies>

        <!-- SpringCloud Alibaba Nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Nacos Config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Sentinel -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>

        <!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- SpringBoot Mqtt -->
        <dependency>
            <groupId>org.springframework.integration</groupId>
            <artifactId>spring-integration-mqtt</artifactId>
            <version>5.5.14</version>
        </dependency>
        <dependency>
            <groupId>com.corundumstudio.socketio</groupId>
            <artifactId>netty-socketio</artifactId>
            <version>1.7.13</version>
        </dependency>
        <dependency>
            <groupId>io.socket</groupId>
            <artifactId>socket.io-client</artifactId>
            <version>1.0.0</version>
        </dependency>

        <!-- XueYi Common Log -->
        <dependency>
            <groupId>com.xueyi</groupId>
            <artifactId>xueyi-common-log</artifactId>
        </dependency>


        <!-- XueYi Common Web -->
        <dependency>
            <groupId>com.xueyi</groupId>
            <artifactId>xueyi-common-web</artifactId>
        </dependency>

        <dependency>
            <groupId>com.xueyi</groupId>
            <artifactId>xueyi-common-mqtt</artifactId>
            <version>2.5.0</version>
        </dependency>

        <!-- XueYi Common Swagger -->
        <dependency>
            <groupId>com.xueyi</groupId>
            <artifactId>xueyi-common-swagger</artifactId>
        </dependency>

        <!-- XueYi Common mqtt -->
        <dependency>
            <groupId>com.xueyi</groupId>
            <artifactId>xueyi-common-mqtt</artifactId>
        </dependency>

        <!-- XueYi Api File -->
        <dependency>
            <groupId>com.xueyi</groupId>
            <artifactId>xueyi-api-file</artifactId>
        </dependency>

        <dependency>
            <groupId>com.xueyi</groupId>
            <artifactId>xueyi-api-system</artifactId>
        </dependency>

    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <artifactId>maven-resources-plugin</artifactId>
                <groupId>org.apache.maven.plugins</groupId>
                <configuration>
                    <delimiters>@</delimiters>
                    <useDefaultDelimiters>false</useDefaultDelimiters>
                </configuration>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>
    </build>
</project>
